package market.Lms.Logistics.vo;

import java.io.Serializable;

import market.Lms.Logistics.mapper.LmsPassportinfoCancelMapper;

import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="LMS_PASSPORTINFO_CANCEL", namespace=LmsPassportinfoCancelMapper.class)
public class LmsPassportinfoCancel extends BaseVO implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 4571036988903840785L;
	/** 
	 * 物资类别编号  必填，中冶新材为107，优特钢带为108
	 */ 
	@Column("CATEGORYID")
	private String CategoryId;
	public String getCategoryId() {
		return CategoryId;
	}
	public void setCategoryId(String categoryId) {
		CategoryId = categoryId;
	}
	
	/** 
	 * 发运号  必须唯一；代表一次装车
	 */ 
	@Id("FORECAST")
	private String Forecast;
	public String getForecast() {
		return Forecast;
	}
	public void setForecast(String forecast) {
		Forecast = forecast;
	}
	
	/** 
	 * 出厂证号  与纸质单据保持一致
	 */ 
	@Column("TICKET")
	private String Ticket;
	public String getTicket() {
		return Ticket;
	}
	public void setTicket(String ticket) {
		Ticket = ticket;
	}
	
	/** 
	 * 计划出厂日期  yyyy/mm/dd
	 */ 
	@Column("PLANDATE")
	private String PlanDate;
	public String getPlanDate() {
		return PlanDate;
	}
	public void setPlanDate(String planDate) {
		PlanDate = planDate;
	}
	
	/** 
	 * 车牌颜色   1—黄牌，2—蓝牌，3—厂牌，先用黄牌1
	 */ 
	@Column("PLATETYPE")
	private String PlateType;
	public String getPlateType() {
		return PlateType;
	}
	public void setPlateType(String plateType) {
		PlateType = plateType;
	}
	
	/** 
	 * 车牌号码  由汉字、大写字母、数字组成
	 */ 
	@Column("PLATENUMBER")
	private String PlateNumber;
	public String getPlateNumber() {
		return PlateNumber;
	}
	public void setPlateNumber(String plateNumber) {
		PlateNumber = plateNumber;
	}
	
	/** 
	 * 产品名称  系统实际的产品名称
	 */ 
	@Column("PRODUCT")
	private String Product;
	public String getProduct() {
		return Product;
	}
	public void setProduct(String product) {
		Product = product;
	}
	
	/** 
	 * 规格型号  硅钢指牌号，废钢选填
	 */ 
	@Column("STANDARD")
	private String Standard;
	public String getStandard() {
		return Standard;
	}
	public void setStandard(String standard) {
		Standard = standard;
	}
	
	/** 
	 * 装车重量  产品使用小件重量；废钢使用预估重量
	 */ 
	@Column("PLANWEIGHT")
	private Double PlanWeight;
	public Double getPlanWeight() {
		return PlanWeight;
	}
	public void setPlanWeight(Double planWeight) {
		PlanWeight = planWeight;
	}
	
	/** 
	 * 过磅扣重  填写包装重量，无包装的填0
	 */ 
	@Column("DEDUCTION")
	private Double Deduction;
	public Double getDeduction() {
		return Deduction;
	}
	public void setDeduction(Double deduction) {
		Deduction = deduction;
	}
	
	/** 
	 * 允许下限
	 */ 
	@Column("LOWERLIMIT")
	private Double LowerLimit;
	public Double getLowerLimit() {
		return LowerLimit;
	}
	public void setLowerLimit(Double lowerLimit) {
		LowerLimit = lowerLimit;
	}
	
	/** 
	 * 允许上限 
	 */ 
	@Column("UPPERLIMIT")
	private Double UpperLimit;
	public Double getUpperLimit() {
		return UpperLimit;
	}
	public void setUpperLimit(Double upperLimit) {
		UpperLimit = upperLimit;
	}
	
	/** 
	 * 装车数量
	 */ 
	@Column("AMOUNT")
	private Integer Amount;
	public Integer getAmount() {
		return Amount;
	}
	public void setAmount(Integer amount) {
		Amount = amount;
	}

	/** 
	 * 数量单位  
	 */ 
	@Column("AMOUNTUNIT")
	private String AmountUnit;
	public String getAmountUnit() {
		return AmountUnit;
	}
	public void setAmountUnit(String amountUnit) {
		AmountUnit = amountUnit;
	}
	
	/** 
	 * 提货单位   填写收货单位
	 */ 
	@Column("ACCEPTUNIT")
	private String AcceptUnit;
	public String getAcceptUnit() {
		return AcceptUnit;
	}
	public void setAcceptUnit(String acceptUnit) {
		AcceptUnit = acceptUnit;
	}
	
	/** 
	 * 提货人
	 */ 
	@Column("ACCEPTOR")
	private String Acceptor;
	public String getAcceptor() {
		return Acceptor;
	}
	public void setAcceptor(String acceptor) {
		Acceptor = acceptor;
	}
	
	/** 
	 * 卸货地点  
	 */ 
	@Column("DISCHARGE")
	private String Discharge;
	public String getDischarge() {
		return Discharge;
	}
	public void setDischarge(String discharge) {
		Discharge = discharge;
	}
	
	/** 
	 * 备注  18个汉字
	 */ 
	@Column("NOTE")
	private String Note;
	public String getNote() {
		return Note;
	}
	public void setNote(String note) {
		Note = note;
	}
	
	/** 
	 * 录入人  
	 */ 
	@Column("CREATOR")
	private String Creator;
	public String getCreator() {
		return Creator;
	}
	public void setCreator(String creator) {
		Creator = creator;
	}
	
	/** 
	 * 录入时间
	 */ 
	@Column("CREATED")
	private String Created;
	public String getCreated() {
		return Created;
	}
	public void setCreated(String created) {
		Created = created;
	}
	
	/** 
	 * 申报单位
	 */ 
	@Column("SOURCEUNIT")
	private String SourceUnit;
	public String getSourceUnit() {
		return SourceUnit;
	}
	public void setSourceUnit(String sourceUnit) {
		SourceUnit = sourceUnit;
	}
	
	/**
	 * 卷号集合
	 */
	@Column("COILLIST")
	private String coilList;	
	public String getCoilList() {
		return coilList;
	}
	public void setCoilList(String coilList) {
		this.coilList = coilList;
	}

	//运输仓库
	@Column("SOLUTIONS_NO")
	private String solutions_no;
	public String getSolutions_no() {
		return solutions_no;
	}
	public void setSolutions_no(String solutions_no) {
		this.solutions_no = solutions_no;
	}
	
	//客户
	@Column("CUSTOMER_NO")
	private String customer_no;
	public String getCustomer_no() {
		return customer_no;
	}
	public void setCustomer_no(String customer_no) {
		this.customer_no = customer_no;
	}
	
	@Column("CUSTOMER_NM")
	private String customer_nm;
	public String getCustomer_nm() {
		return customer_nm;
	}
	public void setCustomer_nm(String customer_nm) {
		this.customer_nm = customer_nm;
	}
	
	//订单号
	@Column("ORDER_NO")
	private String order_no;
	public String getOrder_no() {
		return order_no;
	}
	public void setOrder_no(String order_no) {
		this.order_no = order_no;
	}
	
	//重量集合
	@Column("WEIGHTLIST")
	private String weightlist;
	public String getWeightlist() {
		return weightlist;
	}
	public void setWeightlist(String weightlist) {
		this.weightlist = weightlist;
	}
	
	//规格
	@Column("SPEC")
	private String spec;
	public String getSpec() {
		return spec;
	}
	public void setSpec(String spec) {
		this.spec = spec;
	}
	
	//规格重量
	@Column("SPEC_WEIGHT")
	private String spec_weight;
	public String getSpec_weight() {
		return spec_weight;
	}
	public void setSpec_weight(String spec_weight) {
		this.spec_weight = spec_weight;
	}
    
	//包装重量
	@Column("PACKAGE_WEIGHT")
	private String package_weight;	
	public String getPackage_weight() {
		return package_weight;
	}
	public void setPackage_weight(String package_weight) {
		this.package_weight = package_weight;
	}

	//草支垫重量
	@Column("GRASS_WEIGHT")
	private String grass_weight;
	public String getGrass_weight() {
		return grass_weight;
	}
	public void setGrass_weight(String grass_weight) {
		this.grass_weight = grass_weight;
	}
	
	@Column("DELELE_MAN")
	private String delele_man;
	public String getDelele_man() {
		return delele_man;
	}
	public void setDelele_man(String delele_man) {
		this.delele_man = delele_man;
	}

	@Column("DELELE_TIME")
	private String delele_time;
	public String getDelele_time() {
		return delele_time;
	}
	public void setDelele_time(String delele_time) {
		this.delele_time = delele_time;
	}

	@Column("DELETE_REASON")
	private String delete_reason;
	public String getDelete_reason() {
		return delete_reason;
	}
	public void setDelete_reason(String delete_reason) {
		this.delete_reason = delete_reason;
	}
	
}